rc = require 'raycaster'

function love.load()
	love.keyboard.setKeyRepeat(true)
end

function love.update(dt)
	if love.keyboard.isDown('escape') then
		love.event.quit()
	end

    if love.keyboard.isDown('left') then
        rc.player.angle = rc.player.angle + 1
    elseif love.keyboard.isDown('right') then
        rc.player.angle = rc.player.angle - 1
    end
end

function love.keypressed(k)
	if k == "q" then
		rc.player.angle = rc.player.angle + 1
	elseif k == "e" then
		rc.player.angle = rc.player.angle - 1
	end

	if love.keyboard.isDown('lshift') then
		if k == "z" then
			rc.highlightRay = rc.highlightRay - 10
		elseif k == "c" then
			rc.highlightRay = rc.highlightRay + 10
		end
	else
		if k == "z" then
			rc.highlightRay = rc.highlightRay - 1
		elseif k == "c" then
			rc.highlightRay = rc.highlightRay + 1
		end
	end

	if k == 'r' then
		rc.displayRay = not rc.displayRay
	end
end

function love.draw()
	-- Draw the map
	--[[]
	love.graphics.setColor(1, 1, 1)
	for row=1, #rc.map do
	for col=1, #rc.map[row] do
		if rc.map[row][col] > 0 then love.graphics.rectangle('fill', (col-1)*100, (row-1)*100, 100, 100) end
	end
	end--]]
    

	rc:raycast()
end